Vive FG! (Foro) Vive FG! (Foro)
Foro de la comunidad hispana oficial del simulador de código abierto FlightGear Flight Simulator.






GIT Muy Bueno..!

 
Publicar nuevo tema   Responder al tema    Foros de discusión
Ver tema anterior :: Ver tema siguiente  
Aprendis
Sobrecargo



Registrado: 28 Mar 2010
Mensajes: 148
Ubicación: MDST



 MensajePublicado: Mie May 18, 2011 11:02 pm    Asunto: GIT Muy Bueno..! Responder citando Back to top

Bueno aora es que noto este sub-foro..

Es muy Bueno ya que hace varios dias que utilizo ubuntu 10.10

Bueno queria decirles que para no tener que estar metiendo comandos a la consola y demas seria bueno que se descargaran GIT ya trae muchisimas cosas. ademas si tienes internet 1MB o mas se te baja rapido.. yo tengo 1MB y me descarga en 9Horas pero Vale la pena ..

Gracias Por Ver este Tema

_________________
AL9220 LF-YLL


 
Ver perfil de usuario Enviar mensaje privado Visitar sitio web del autor MSN Messenger
Saichania
Pasajero



Registrado: 11 Nov 2008
Mensajes: 27




 MensajePublicado: Mar Sep 20, 2011 7:11 pm    Asunto: Responder citando Back to top

Hola,

De dónde puedo descargarlo? Gracias.
 
Ver perfil de usuario Enviar mensaje privado
fae-dani
Leyenda del vuelo



Registrado: 31 Oct 2010
Mensajes: 2278
Ubicación: Base Naval de Rota



 MensajePublicado: Mar Sep 20, 2011 7:31 pm    Asunto: Responder citando Back to top

9 horas es rápido? Juglar xD

_________________
Follow me on Instagram! @faedani
 
Ver perfil de usuario Enviar mensaje privado Visitar sitio web del autor MSN Messenger
Bisutti
As de la aviación



Registrado: 09 Oct 2007
Mensajes: 3045
Ubicación: Venezuela, SVBC



 MensajePublicado: Mar Sep 20, 2011 10:21 pm    Asunto: Re: Responder citando Back to top

Saichania escribió:
Hola,

De dónde puedo descargarlo? Gracias.


Hola, este tutorial muestra los pasos a seguir para instalarlo, está en inglés espero te sirva.

_________________
Volar no es peligroso... Estrellarse lo es.

YV-256T
 
Ver perfil de usuario Enviar mensaje privado Enviar email
Saichania
Pasajero



Registrado: 11 Nov 2008
Mensajes: 27




 MensajePublicado: Mie Sep 21, 2011 8:25 pm    Asunto: Responder citando Back to top

Me sale un problema con el configure:

Cita:
checking for OpenThreadsGetVersion in -lOpenThreads... yes
checking osg/Version usability... no
checking osg/Version presence... no
checking for osg/Version... no

You *must* have the OpenThreads library installed on your system
to build this version of SimGear!
Maybe you need to specify --with-osg=DIR.
Maybe you need to specify some LDFLAGS to help the linker.

LIBS: '-lOpenThreads -lrt -lm '
LDFLAGS: ''
CPPFLAGS: ''

Please see README.OSG for more details.

configure aborted.


Esto es para intentar instalar primero SimGear.
 
Ver perfil de usuario Enviar mensaje privado
fae-dani
Leyenda del vuelo



Registrado: 31 Oct 2010
Mensajes: 2278
Ubicación: Base Naval de Rota



 MensajePublicado: Mie Sep 21, 2011 8:30 pm    Asunto: Responder citando Back to top

Creo que SimGear es para FG compilado y su versión no está actualizada...

_________________
Follow me on Instagram! @faedani
 
Ver perfil de usuario Enviar mensaje privado Visitar sitio web del autor MSN Messenger
Saichania
Pasajero



Registrado: 11 Nov 2008
Mensajes: 27




 MensajePublicado: Mie Sep 21, 2011 8:51 pm    Asunto: Responder citando Back to top

Ok, entonces voy al configure de FG y me da este error:

Cita:


checking simgear/version.h usability... yes
checking simgear/version.h presence... yes
checking for simgear/version.h... yes
checking for SimGear 2.5.0 or newer... [found 2.0.0] ... wrong version
configure: error: Install latest SimGear first...
 
Ver perfil de usuario Enviar mensaje privado
almursi
Sobrecargo



Registrado: 21 Jun 2010
Mensajes: 318
Ubicación: LELC Murcia (Spain)



 MensajePublicado: Mie Sep 28, 2011 2:46 pm    Asunto: Responder citando Back to top

buenas, la versión de fgdata de git es la 2.5.0 (salvo que seleccionemos otro brazo remoto, porque podemos descargar algún fgdata más antiguo), así que a la fuerza necesitamos compilar simgear y fgfs y en ese orden (cada uno con su make y su make install).
La compilación no es compleja, o no demasiado compleja. En principio sólo necesitamos ejecutar un make y resolver los errores que nos da. Si nos habla de un OpenThreads, por ejemplo, es abrir el gestor de paquetes (el synaptic por ejemplo) y buscar el paquete (con apellido .dev), instalarlo y probar el make de nuevo hasta conseguir una salida sin errores.
En mi caso, simgear se compila sin problemas, pero con fgfs se atraganta con el jpeg server: si os ocurre lo mismo debéis entar en un subdirectorio dentro del código de fgfs, el scr/include y editar el config.h:
Allí hay que comentar (poniendo /* al principio y */ al final), las dos líneas con el define del jpeg. Tras eso la compilación va perfecta.

Si acaso comento: la versión actual 2.5 es realmente pesada. La compilación ayuda a mejorar un poco el rendimiento, pero sólo lo notaremos si hablamos de un procesador potente trabajando a 64 bits, de lo contrario quizá no haya una mejora que compense las molestias. Y en cuanto a simgear, el antiguo parche para las ati ya no sirve, así que han vuelto a desaparecer las luces de los aeropuertos... seguramente haya otro disponible por ahí, pero me falta un rato para encontrarlo Smile.

Edito: El caso es que no se por qué ahora me corre más fluido a 32 bits.

Saludos cordiales.
 
Ver perfil de usuario Enviar mensaje privado
Raza159
Pasajero



Registrado: 13 Oct 2014
Mensajes: 2




 MensajePublicado: Lun Oct 13, 2014 12:45 pm    Asunto: Responder citando Back to top

Con todos los aviones, he buscado en toda la web y no consigo solución, por tal motivo he decidido colocar una version de ubuntu mas vieja a ver si persiste el problema con fligthgear 2.0, saludos y gracias por responder, si consigo una solución la posteare

_________________
ali
 
Ver perfil de usuario Enviar mensaje privado
Mostrar mensajes de anteriores:   
Publicar nuevo tema   Responder al tema    Foros de discusión -> Paraíso Linux Todas las horas son GMT + 1 Hora
Página 1 de 1


 
Cambiar a:  
Puede publicar nuevos temas en este foro
No puede responder a temas en este foro
No puede editar sus mensajes en este foro
No puede borrar sus mensajes en este foro
No puede votar en encuestas en este foro


Crear foro phpbb | foros de Videoconsolas | Hosting gratis | soporte foros | Contactar | Denunciar un abuso | FAQ | Foro ejemplo

Para vps hosting ssd en Desafiohosting.com